:root {
    --white: #FFFFFF;
    --black: #000000;
    --grey: #b6b6b6;
    --purple: #54447b;
    --violet: #504077;
    --salmon: #ff6868;
    --yellow: #feed30;
    --green-1: #49b47e;
    --green-2: #08c299;
    --lilac: #bab5f6;
}

@font-face {
    font-family: "Montserrat";
    src: url("fonts/Montserrat/Montserrat-Regular.ttf");
}

body {
    font-family: "Montserrat";
    background: rgb(255,255,255);
    background: linear-gradient(33deg, rgb(228, 228, 228) 58.8%, rgb(159, 65, 65) 58.8%, rgb(159, 65, 65) 59%, rgb(223, 91, 91) 59%, rgb(223, 91, 91) 68%, rgb(191, 78, 78) 68.9%, rgb(191, 78, 78) 69%, rgb(255, 104, 104) 69%, rgb(255, 104, 104) 100%); 
}

.wrapper {
    width: 350px;
    height: 530px;
    margin: 100px auto 0;
    box-shadow: 0px 0px 16px 3px rgba(0, 0, 0, .4);
    background: linear-gradient(140deg, rgba(80,64,119,1) 25%, rgba(109,87,161,1) 25%, rgba(109,87,161,1) 34%, rgba(255,255,255,0) 29% , rgba(255,255,255,0) 29%, rgba(255,255,255,0) 74%, rgba(252, 232, 170,1) 74%);
}

.box {
    width: 100%;
    height: 100%;
    padding: 1.5rem;
    background: linear-gradient(34deg, rgb(151, 222, 149) 17%, rgb(151, 222, 149) 25%, rgb(252 , 232, 170) 25%, rgb(252, 232, 170) 27%, rgba(252, 232, 170,0) 27%);
}

.box-form {
    position: relative;
    margin-top: 80px;
    background: var(--white);
    border-radius: 3px;
    padding: 1.5rem;
    box-shadow: 0px 0px 16px 3px rgba(0, 0, 0, .4);
}

.box-form .box-img {
    width: 128px;
    height: 128px;
    position: absolute;
    top: -64px;
    left: -64px;
    margin-left: 50%;
    border-radius: 50% 50%;
    border: 2px solid var(--purple);
    background: var(--purple);
    overflow: hidden;
}

.img {
    width: 100%;
    height: 100%;
    animation: usuario 10s linear infinite;
}

.box-inputs {
    margin-top: 60px;
}

.box-input,
.box-form button {
    width: 100%;
    overflow: hidden;
}

.box-input {
    margin: 1.7rem auto;
    border-bottom: 1px solid var(--grey);
}

.icon {
    width: 15%;
    color: var(--grey);
    padding: .5rem;
}

.box-input input {
    border: none;
    color: var(--black);
    width: 85%;
    padding: .5rem;
}

.box-form a {
    display: block;
    padding: .5rem;
    margin: .5rem auto 1.5rem;
    text-align: right;
    font-size: .8em;
    color: var(--grey);
}

.box-form button {
    font-size: .8em;
    padding: .6rem;
    border: none;
    color: var(--white);
    background: var(--salmon);
    box-shadow: 0px 3px 9px 0px rgba(0, 0, 0, .4)
}

footer {
    background: #000;
    width: 100%;
    padding: 10px;
    color: var(--grey);
    position: absolute;
    bottom: 0;
    text-align: center;
    font-size: .7em;
}

@keyframes usuario {
    0% {
        opacity: 0;
        background: url(images/user-female.png), var(--purple);
        background-position: center;
    }

    49% {opacity: 1;}

    50% {opacity: 0;}

    100% {
        background: url(images/user-male.png), var(--purple);
        background-position: center;
    }

}

/* PROMOCION */
.box-load {
    position: fixed;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    width: 100%;
    height: 100%;
    z-index: 1000;

    display: grid;
    grid-template-columns: repeat(8, 1fr);
    grid-template-rows: repeat(4, 1fr);
    grid-gap: 3rem;

    animation: loading 1s 1 2s;
    animation-fill-mode: forwards;

    background: rgb(235,235,235);
    background: linear-gradient(80deg, rgba(235,235,235,1) 50%, rgba(102,83,159,1) 50%);
}

.balam {
    grid-column: 2 / 4;
    grid-row: 2 / 4;
    background: url(images/balam.png);
    background-size: 80%;
    background-repeat: no-repeat;
    backface-visibility: visible;
    animation: rubberBand 1s;
}

.modoru {
    grid-column: 6 / 8;
    grid-row: 2 / 4;
    background: url(images/modoru-min.png);
    background-size: 80%;
    background-repeat: no-repeat;
    backface-visibility: visible;
    animation: rubberBand 1s;
}

/*
    ******************************** ANIMACIONES
*/
/* ANIMACION DE CARGA */
@keyframes loading {
    from {opacity: 1;}
    to {
        opacity: 0;
        z-index: -10;
    }
}

/* ANIMACION LOGOS */
@keyframes rubberBand {
    from {
        -webkit-transform: scale3d(1, 1, 1);
        transform: scale3d(1, 1, 1);
    }

    30% {
        -webkit-transform: scale3d(1.25, 0.75, 1);
        transform: scale3d(1.25, 0.75, 1);
    }

    40% {
        -webkit-transform: scale3d(0.75, 1.25, 1);
        transform: scale3d(0.75, 1.25, 1);
    }

    50% {
        -webkit-transform: scale3d(1.15, 0.85, 1);
        transform: scale3d(1.15, 0.85, 1);
    }

    65% {
        -webkit-transform: scale3d(0.95, 1.05, 1);
        transform: scale3d(0.95, 1.05, 1);
    }

    75% {
        -webkit-transform: scale3d(1.05, 0.95, 1);
        transform: scale3d(1.05, 0.95, 1);
    }

    to {
        -webkit-transform: scale3d(1, 1, 1);
        transform: scale3d(1, 1, 1);
    }
}